#----------------------------------------------------------
#Outils de validation de l'ajustement construit en 3
#----------------------------------------------------------
#Analyse par âge d'entrée

obs=colSums(sortiesBrutes)
esp=colSums(sortiesModele)
qAjusteAge=colSums(sortiesModele)/colSums(expo)
icMax=esp+1.96*sqrt(qAjusteAge*(1-qAjusteAge)*colSums(expo))
icMin=esp-1.96*sqrt(qAjusteAge*(1-qAjusteAge)*colSums(expo))

sauveFigure()
plot(x=(ageMin:ageMax),y=icMax,type="l",xlab="Age de survenance",ylab="Nombre de décès",lty="dotted",col="red",ylim=c(0,max(obs,icMax)))
lines(x=(ageMin:ageMax),y=esp,col="black")
lines(x=(ageMin:ageMax),y=icMin,col="blue",lty="dotted")
lines(x=(ageMin:ageMax),y=obs,col="green",ty="p")
title(paste(nomAjustement," - Comparaison modèle / réalisations par âge à la survenance",sep=""))
legend("topleft",legend=c("IC95+","Sorties modélisées","IC95-","Sorties observées"),col=c("red","black","blue","green"), pch = 15, bty = "n", pt.cex = 1, cex = 0.8, horiz = F, inset = c(0.1, 0.1))
dev.off()

#----------------------------------------------------------
#Analyse par ancienneté

obs=rowSums(sortiesBrutes)
esp=rowSums(sortiesModele)
qAjusteAnc=rowSums(sortiesModele)/rowSums(expo)
icMax=esp+1.96*sqrt(qAjusteAnc*(1-qAjusteAnc)*rowSums(expo))
icMin=esp-1.96*sqrt(qAjusteAnc*(1-qAjusteAnc)*rowSums(expo))

sauveFigure()
plot(x=(ancMin:(ancMax-1)),y=icMax,type="l",xlab="Ancienneté",ylab="Nombre de sortie",lty="dotted",col="red",ylim=c(0,max(obs,icMax)))
lines(x=(ancMin:(ancMax-1)),y=esp,col="black")
lines(x=(ancMin:(ancMax-1)),y=icMin,col="blue",lty="dotted")
lines(x=(ancMin:(ancMax-1)),y=obs,col="green",ty="p")
title(paste(nomAjustement," - Comparaison modèle / réalisations par ancienneté",sep=""))
legend("topleft", legend = c("IC95+","Sorties modélisées","IC95-","Sorties observées"), col = c("red","black","blue","green"), pch = 15, bty = "n", pt.cex = 1, cex = 0.8, horiz = F, inset = c(0.1, 0.1))
dev.off()